Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Interface TrusteeEnumerator

public interface TrusteeEnumerator
extends java.util.Enumeration

Provides an enumeration of the Trustees from a given directory entry.

Trustees can be associated with a given directory entry (file or directory), which can have multiple Trustees.

See Also:
  `Trustee`

Field Summary
`static java.lang.String` | `ATTRIBUTE_ID` Attribute ID of the TrusteeEnumerator.
`static java.lang.String` | `COMPARE_SYNTAX_STRING` Schema Syntax of the TrusteeEnumerator.
`static java.lang.String` | `SCHEMA_BINDING_NAME` Schema Name of the TrusteeEnumerator.

Method Summary
`boolean` | `hasMore()` Returns a boolean indicating if more elements are available.
`Trustee` | `next()` Return the typed (nextElement) Trustee value.

Methods inherited from interface java.util.Enumeration
`hasMoreElements, nextElement`

Field Detail

### ATTRIBUTE_ID

    public static final java.lang.String ATTRIBUTE_ID

  Attribute ID of the TrusteeEnumerator.

  (ATTRIBUTE_ID = com.novell.service.file.nw.Trustee.ATTRIBUTE_ID)

  See Also:
    `Trustee`

### SCHEMA_BINDING_NAME

    public static final java.lang.String SCHEMA_BINDING_NAME

  Schema Name of the TrusteeEnumerator.

  (SCHEMA_BINDING_NAME = com.novell.service.file.nw.Trustee.SCHEMA_BINDING_NAME)

  See Also:
    `Trustee`

### COMPARE_SYNTAX_STRING

    public static final java.lang.String COMPARE_SYNTAX_STRING

  Schema Syntax of the TrusteeEnumerator.

  (COMPARE_SYNTAX_STRING = com.novell.service.file.nw.Trustee.COMPARE_SYNTAX_STRING)

  See Also:
    `ExtendedAttribute`

Method Detail

### next

    public Trustee next()

  Return the typed (nextElement) Trustee value.
  Returns:
    The next Trustee in the enumeration.
  Throws:
    NoSuchElementException - If no nextElement trustee value exists.
  See Also:
    `Trustee`

### hasMore

    public boolean hasMore()

  Returns a boolean indicating if more elements are available.
  Returns:
    A boolean set to TRUE if more trustee elements will be returned; otherwise FALSE is returned.
  See Also:
    `Trustee`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD